#include<stdio.h>
int main()
{ int n,v;
 int praznina, z;
    
    scanf("%d",&n);
    
    if(n<=0) 
	  { 
	    printf("-1\n");
	    return 0;
	      
	  }
  
    for(v=0;v<n;v++)
    { 
      for(praznina=1;praznina<=v;praznina++) 
	  printf(" ");
      
      for(z=1;z<=n-v-1;z++)
	printf("*-");

      printf("*");
     
      printf("\n");
        
    }
    
    return 0;
}